org.apache.cassandra.io

## Interface FSErrorHandler

- All Known Implementing Classes:
    DefaultFSErrorHandler

      public interface FSErrorHandler

  Interface for handling file system errors.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleCorruptSSTable(CorruptSSTableException e)`
    `void` | `handleFSError(FSError e)`

- - ### Method Detail

    - #### handleCorruptSSTable

          void handleCorruptSSTable(CorruptSSTableException e)

    - #### handleFSError

          void handleFSError(FSError e)

Copyright © 2018 The Apache Software Foundation